using System;

class Program {
    static void Main(string[] args) {
        string[] prviRed = Console.ReadLine().Split();
int prviPredvidjeni = int.Parse(prviRed[0]);
int drugiPredvidjeni = int.Parse(prviRed[1]);
string[] drugiRed = Console.ReadLine().Split();
int prviPoluvreme = int.Parse(drugiRed[0]);
int drugiPoluvreme = int.Parse(drugiRed[1]);

if (drugiPredvidjeni == drugiPoluvreme && prviPoluvreme < prviPredvidjeni)
{
    Console.WriteLine("prvi");
}
else if (prviPredvidjeni == prviPoluvreme && drugiPoluvreme < drugiPredvidjeni)
{
    Console.WriteLine("drugi");
}
else if (prviPredvidjeni == prviPoluvreme && drugiPoluvreme == drugiPredvidjeni)
{
    Console.WriteLine("nijedan");
}
else Console.WriteLine("?");

    }
}